{ config, pkgs, ... }: {

  imports = [
    ./filesystems.nix
    ./networking.nix
    ./printing.nix
    #./backup.nix #TODO: Extract applications from desktop role

    ../../hardware/dell-precision-3530.nix

    ../../defaults/base
    ../../defaults/cifs-auth-fix
    ../../defaults/desktop
    ../../defaults/development-tools
    ../../defaults/games
    ../../defaults/printing
  ];

  # Set your time zone.
  time.timeZone = "Europe/Amsterdam";

  # This value determines the NixOS release from which the default
  # settings for stateful data, like file locations and database versions
  # on your system were taken. It‘s perfectly fine and recommended to leave
  # this value at the release version of the first install of this system.
  # Before changing this value read the documentation for this option
  # (e.g. man configuration.nix or on https://nixos.org/nixos/options.html).
  system.stateVersion = "20.03"; # Did you read the comment?

}
