{ config, pkgs, ... }:
let host = "cloud.qo.is";
in {

  imports = [

    ../../../defaults/nextcloud
  ];

  services.nextcloud = {
    hostName = host;
    package = pkgs.nextcloud20;
  };
  services.nginx.virtualHosts."${host}" = {
    forceSSL = true;
    enableACME = true;
  };

}
